/* @font-face {
    font-family: 'Questrial';
    src: url('../font/questrial.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
} */
@font-face {
    font-family: 'Lufga';
    src: url('../font/Luf-Regular.woff') format('woff'); /* Update the path */
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Regular.ttf') format('truetype'); /* Correct format */
    font-weight: normal;
    font-style: normal;
}

*{
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
}
ul{
    padding: 0;
    list-style: none;
    margin: 0;
}
a{
    text-decoration: none;
}

ul {
    padding: 0;
    margin: 0;
}
.row {
    display: flex;
    flex-wrap: wrap;
}

.jes-container {
    max-width: 1400px;
    margin: auto;
    padding: 0 20px;
}
.jes-row {
    display: flex;
    flex-wrap: wrap;
}
.position-relative {
    position: relative;
}
.jes-col-25{
    width: 25%;
}
.jes-col-50{
    width: 50%;
}
.jes-col-33{
    width: 33%;
}
.jes-col-75{
    width: 75%;
}
.pt-80{
    padding-top: 80px;
}
.d-flex{
    display: flex;
}
.align-center {
    align-items: center;
}
.justify-between {
    justify-content: space-between;
}
.gap-20{
    gap: 20px 20px;
}

/*header*/

.top-bar {
    background-color: #ECF0F4;
    text-align: center;
    padding: 8px 0;
    font-size: 13px;
    font-weight: 600;
    text-transform: capitalize;
    color: #000;
}
.top-bar p{
    margin: 0;
}
.top-bar a {
    color: #ff0000;
    text-decoration: underline;
}
header.jes-header {
    background: #fff;
}
.middle-header {
    padding-top: 5px;
    padding-bottom: 5px;
}
.search-box {
    width: 45%;
}
body .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
    padding: 8px 24px 8px 48px;
    background: none !important;
    border: 1px solid #000;
}
.dgwt-wcas-style-pirx.dgwt-wcas-search-filled .dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit,
body .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit {
    left: 20px;
    top: 15px;
}
.dgwt-wcas-style-pirx.dgwt-wcas-search-filled .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
    padding-left: 50px;
    padding-right: 15px;
}
.dgwt-wcas-style-pirx .dgwt-wcas-close:not(.dgwt-wcas-inner-preloader) {
    margin: 0;
}


/*megamenu*/

@media (min-width: 1025px) {
	.close-menu{
		display: none;
	}
    .nav-bar {
        background: #000;
    }
    .nav-bar ul.menu {
        display: flex;
        gap: 10px;
    }
    .nav-bar ul.menu > li > a {
        color: #fff;
        font-size: 14px;
        font-weight: 600;
    }

    .nav-bar ul.menu > li > .wrapped-menu a {
        color: #fff;
        font-size: 14px;
        font-weight: 600;
    }
    .mega-menu-content {
        display: none;
    }
    ul.menu > li > a {
        padding: 10px 10px;
        display: inline-block;
    }
    .nav-bar ul.menu > li:first-child a:before {
        content: "\f015";
        font-family: 'FontAwesome';
        font-size: 18px;
        position: relative;
        top: 0px;
        left: -7px;
    }

    .nav-bar ul.menu > li:hover .mega-menu-content {
        display: block;
        position: absolute;
        background: #fff;
        left: 0;
        right: 0;
        border-top: 4px solid red;
        padding-bottom: 0;
        padding-top: 0;
        width: 175px;
        box-shadow: 0 0 9px 0px #101010;
        z-index: 99;
    }
    .nav-bar ul.menu > li:last-child:hover .mega-menu-content{
        width: 100%;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    .nav-bar ul.sub-menu {
        display: block;
        max-width: 1200px;
        margin: auto;
    }
    .nav-bar li:last-child ul.sub-menu{
        column-count: 5;
    }

    ul.sub-menu li.sub-menu-item {
        break-inside: avoid; 
    }
    ul.sub-menu li.sub-menu-item > a {
        font-size: 16px;
        display: block;
        padding: 8px 10px;
        border-bottom: 1px solid #ddd;
        color: #000;
        cursor: pointer;
        font-family: sans-serif;
    }
    .nav-bar ul.menu > li:last-child li.sub-menu-item > a {
        border: 0;
    }
    ul.sub-menu li.sub-menu-item > a:hover {
        background: #000;
        color: #fff;
    }
    .menu-item:last-child ul.sub-menu li.sub-menu-item > a {
        color: #000;
        font-weight: 600;
        padding: 10px 0;
        display: block;
        text-transform: uppercase;
        font-size: 14px;
    }
    .menu-item:last-child ul.sub-menu li.sub-menu-item > a:hover {
        background: unset;
        color: unset;
    }

    ul.sub-menu li.sub-menu-item ul.sub-sub-menu a {
        font-weight: 400;
        font-size: 16px;
        color: #000;
        padding: 8px 0;
        display: block;
        position: relative;
    }
    ul.sub-menu li.sub-menu-item ul.sub-sub-menu a:before{
        content: " ";
        width: 10px;
        height: 10px;
        display: inline-block;
        background: #f9dfb4;
        border-radius: 50px;
        margin-right: 9px;
    }

    .nav-bar ul.menu > li.menu-item {
        position: relative;
    }
    .nav-bar ul.menu > li.menu-item:last-child {
        position: unset;
    }
    
    .nav-bar ul.menu > li > a + span:after {
        color: #fff;
        content: "\f107";
        font-family: 'FontAwesome';
        font-size: 18px;
        margin: 0 5px 0 -5px;
    }
    .nav-bar .jes-container {
        display: flex;
        justify-content: space-between;
    }
}
ul.user-boxs {
    display: flex;
    align-items: center;
    gap: 25px;
    justify-content: end;
}
ul.user-boxs svg {
    width: 19px;
    color: #ffffff;
    background: #000000;
    border-radius: 50px;
    padding: 5px;
}
.logo-box, .user-box {
    width: 32%;
}

ul.user-boxs a {
    display: flex;
    align-items: center;
    gap: 5px;
    color: #000;
    font-weight: 600;
    font-size: 14px;
}
li.wishlist a:before {
    content: "\f08a";
    font-family: 'FontAwesome';
    color: #000;
    font-size: 22px;
}
.inline-items {
    display: flex;
    gap: 20px;
}
.inline-items svg {
    color: #fff;
    fill: #fff;
    width: 18px;
}

.inline-items a {
    display: flex;
    align-items: center;
    gap: 5px;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
}

/*footer*/
footer.jescart-footer {
    background-color: #F0F0F0;
}
footer.jescart-footer .footer-item {
    width: 20%;
}
footer.jescart-footer .footer-item:first-child {
    width: 33%;
}
.newsletter-section .container-box {
    margin-bottom: -100px;
    padding: 40px 50px;
    background: #000;
    border-radius: 15px;
}
.link-section {
    padding: 150px 0 60px 0;
}
.footer-item .container-box {
    width: 70%;
}
.jes-content {
    font-size: 17px;
    color: #7e7e7e;
    font-weight: 400;
    line-height: 26px;
    margin: 20px 0;
}
.footer-item .item {
    padding: 10px 0;
}
.footer-item h5 {
    font-size: 18px;
    font-weight: 600;
    line-height: 18px;
    margin-bottom: 15px;
    color: #000;
    letter-spacing: 1.5px;
    text-transform: uppercase;
}
.footer-item .item a {
    font-size: 16px;
    color: #000;
    text-decoration: none;
    font-weight: 400;
}
.footer-item .item a:hover {
    color: #f00;
}
.copyright-section {
    border-top: 1px solid #D8D8D8;
    padding: 10px;
}
a.social-icon {
    background: #fff;
    display: inline-block;
    padding: 7px 10px 10px;
    border-radius: 50px;
    transition: all .3s;
    width: 20px;
    height: 20px;
    text-align: center;
}
h2.jes-title {
    color: #fff;
    font-size: 30px;
    font-weight: 700;
    width: 40%;
}
a.social-icon:hover {
    transform: scale(1.1);
    background: #000;
}
a.social-icon:hover svg {
    fill: #fff;
}
a.social-icon svg {
    fill: #000;
    width: 18px;
}
.copyright-section p {
    font-size: 14px;
    text-transform: uppercase;
    margin: 0;
    font-family: 'Lufga';
}
.majc-item-qty,
.quantity {
    display: flex;
    gap: 8px;
    border: 0;
}
.majc-item-qty .majc-qty-minus, .majc-item-qty .majc-qty-plus,
.quantity button {
    padding: 0;
    min-width: 40px;
    height: 40px;
    justify-content: center;
    z-index: 1;
    border-radius: 20px;
    background-color: #000;
    position: relative;
    color: #fff;
    cursor: pointer;
    display: flex;
    align-items: center;
    font-weight: 400;
    transition: all .2s;
    font-size: 32px;
    border: 1px solid #000;
}

.majc-item-qty button {
    display: none;
}
.woocommerce .quantity .qty {
    height: 40px;
    border-radius: 50px;
    border: 1px solid #000;
    width: 40px;
    font-size: 15px;
    text-align: center;
    padding: 0;
    display: flex;
    color: #000;
}
.woocommerce .quantity input::-webkit-outer-spin-button,
.woocommerce .quantity input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.woocommerce .quantity input[type=number] {
  -moz-appearance: textfield;
}






/*product card*/
ul.products {
    --bs-gutter-x: 30px;
    --bs-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1* var(--bs-gutter-y));
    margin-right: calc(-.5* var(--bs-gutter-x));
    margin-left: calc(-.5* var(--bs-gutter-x));
}
li.jes-card-container {
    flex: 0 0 auto;
    width: 25%;
}
.shop-card {
    position: relative;
    z-index: 1;
    height: 100%;
    padding: 0 20px;
    max-width: 260px;
    margin: auto;
}
.jes-card-media {
    position: relative;
    overflow: hidden;
    border-radius: 20px;
}

li.jes-card-container .yith-wcwl-add-button span {
    display: none;
}
li.jes-card-container .yith-add-to-wishlist-button-block,
li.jes-card-container .yith-wcwl-add-button {
    position: absolute;
    top: 12px;
    z-index: 1;
    right: 12px;
}
.jes-card-media > a {
    display: flex;
    padding-bottom: 12px;
}
li.jes-card-container a.yith-wcwl-add-to-wishlist-button,
li.jes-card-container .yith-wcwl-add-button a{
    width: 40px;
    min-width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #0000004d;
    border: 0;
    line-height: 45px;
    border-radius: 32px;
    margin-bottom: 5px;
    box-shadow: 0 15px 15px #0000000d;
    text-align: center;
}

li.jes-card-container .yith-add-to-wishlist-button-block svg {
    width: 22px;
    fill: #fff;
    color: #fff;
}
li.jes-card-container .yith-wcwl-add-button i {
    margin: 0;
    color: #fff;
    font-size: 18px;
}
li.jes-card-container .yith-wcwl-add-button a {
    font-size: 0;
}
li.jes-card-container a.yith-wcwl-add-to-wishlist-button.yith-wcwl-add-to-wishlist-button--added,
li.jes-card-container .yith-wcwl-add-button a.delete_item {
    background: red;
}
li.jes-card-container .add-to-box {
    position: absolute;
    bottom: -15%;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    -webkit-transition: all .2s;
    -ms-transition: all .2s;
    transition: all .2s;
    visibility: hidden;
    opacity: 0;
}
li.jes-card-container .shop-card:hover .add-to-box{
    -webkit-transition: all .2s;
    -ms-transition: all .2s;
    transition: all .2s;
    visibility: unset;
    opacity: 1;
    bottom: -2px;

}
li.jes-card-container .shop-card:hover img{
    transform: translateY(-10px);
}
body li.jes-card-container  .add-to-box a {
    -webkit-transition: all .2s;
    -ms-transition: all .2s;
    transition: all .2s;
    padding: 12px 30px;
    font-size: 14px;
    text-transform: uppercase;
    border: 4px solid #fffaf3;
    background: #000;
    color: #fff;
    white-space: nowrap;
    border-radius: 30px;
    font-weight: 600;
}
body li.jes-card-container .add-to-box a:hover {
    -webkit-transition: all .2s;
    -ms-transition: all .2s;
    transition: all .2s;
    background: red;
    color: #fff;
}
.jes-card-content {
    display: flex;
    justify-content: space-between;
    padding: 10px 0 20px 0;
}
.jes-card-content .product-title {
    width: 70%;
}
body .jes-card-content  h2 {
    font-size: 17px;
    font-weight: 700;
    color: #000;
    line-height: normal;
    height: 42px;
    overflow: hidden;
    font-family: Lufga;
}
body .jes-card-content .product-price span {
    font-size: 18px;
    font-weight: 700;
    font-family: Lufga;
}

.jes-card-media > a img {
    background: #dad8dd;
    border-radius: 20px;
    -webkit-transition: all .5s;
    -ms-transition: all .5s;
    transition: all .5s;
    height: 320px;
    width: 100%;
    object-fit: contain;
}

.mobile-heading {
    display: none;
}

.majc-left-middle .majc-toggle-button {
    position: unset;
    transform: unset;
}

.majc-toggle-button .majc-cartbasket-toggle-btn {
    background: none;
    height: 46px;
    width: 46px; 
    box-shadow: none;
}
.majc-left-middle .majc-item-count-wrap {
    bottom: unset;
    top: 0;
    font-weight: 600;
    font-size: 13px;
    width: 22px;
    height: 22px;
}
.majc-layout-slidein.majc-position-left .majc-cart-popup.majc-cartpop-animation-enabled {
    right: 0;
    left: unset;
}
.majc-item-img img {
    object-fit: contain;
}




.gallary-sliders .swiper-slide {
  width: 250px; 
  max-width: 90vw;
}

.gallary-sliders .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
    aspect-ratio: .9;
}

.gallary-sliders .swiper-wrapper {
  -webkit-transition-timing-function: linear !important;
  transition-timing-function: linear !important;
} 
.gallary-sliders .swiper.carouselLeft {
    margin-bottom: 20px;
}

@media (max-width: 1224px){
    .jes-container{
        padding: 0 10px;
    }
    .footer-item .container-box {
        width: 90%;
    }
}

@media (max-width: 1190px) {
    
    li.wishlist a:before {
        font-size: 25px;
    }
    .logo-box, .user-box {
        width: 24%;
    }
}

@media (min-width: 1025px) {
    span.mobile-menu {
        display: none;
    }
}
@media (max-width: 1024px) {
    span.mobile-menu svg {
        width: 35px;
    }
    .logo-box {
        display: flex;
        align-items: center;
        gap: 15px;
    }
    .nav-bar {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        min-height: 100vh;
        width: 100%;
        max-width: 370px;
        z-index: 99999999;
        background: #000;
    }
    nav.mega-menu {
        padding: 40px 20px 20px;
    }
    .nav-bar .jes-container,
    .nav-bar ul.menu {
        display: block;
    }
    .mega-menu-content {
        display: none;
    }
    nav.mega-menu ul.menu li.menu-item ul.sub-menu > li.sub-menu-item,
    nav.mega-menu ul.menu li.menu-item{
        position: relative;
        padding: 15px 0;
        border-bottom: 1px solid #ffffff14;
    }
    .inline-items {
        padding: 0 20px;
    }
    nav.mega-menu ul.menu li.menu-item span:after {
        content: "+";
        color: #fff;
        padding: 8px 6px;
        font-size: 22px;
        border: 1px solid #404040;
        display: inline-block;
        line-height: 8px;
    }
    nav.mega-menu ul.menu li.menu-item.show {
        position: fixed;
        top: 40px;
        left: 0;
        bottom: 0;
        right: 0;
        background: #000000;
        max-width: 370px;
        z-index: 9;
        padding: 0;
    }
    nav.mega-menu ul.menu li.menu-item.show .mega-menu-content {
        display: block;
        padding: 0 20px;
    }
    nav.mega-menu ul.menu li.menu-item span {
        float: right;
    }
    nav.mega-menu ul.menu li.menu-item a {
        color: #fff;
    }
	.close-menu {
		position: absolute;
		right: 15px;
		top: 15px;
        z-index: 9999;
	}
    li.menu-item.show .wrapped-menu {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        background: #1d1d1d;
        padding: 7px 20px;
        gap: 15px;
        margin-bottom: 20px;
        font-size: 18px;
    }

    .nav-bar ul.menu {
        height: 65vh;
        overflow: hidden;
        overflow-y: auto;
    }
    li.menu-item.show .wrapped-menu a{
        order: 1;
    }
    nav.mega-menu ul.menu li.menu-item.show span:after {
        content: "\f104";
        font-family: fontawesome;
        border: 0;
    }
}


@media (max-width: 1024px) {
    .shop-card{
        padding: 0;
    }
    li.jes-card-container a.yith-wcwl-add-to-wishlist-button,
    li.jes-card-container .yith-wcwl-add-button a {
        width: 35px;
        min-width: 35px;
        height: 35px;
    }
}

@media (max-width: 991px) {
    footer h2.jes-title {
        font-size: 26px;
    }
}
@media (max-width: 768px) {
    .link-section {
        padding: 125px 0 20px 0;
    }
    .footer-item .container-box,
    footer.jescart-footer .footer-item:first-child,
    footer.jescart-footer .footer-item {
        width: 100%;
    }
    .footer-item .container-box {
        text-align: center;
        padding-bottom: 30px;
    }
    footer .jes-content {
        font-size: 16px;
        margin: 10px;
    }
    footer h2.jes-title {
        width: 100%;
        text-align: center;
        font-size: 16px;
    }
    ul.user-boxs svg {
        width: 26px;
    }
    .mobile-heading {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        background: #fff;
        display: flex;
        z-index: 999999;
        padding: 9px 0;
        -webkit-box-shadow: 0 10px 40px rgba(0, 0, 0, 0.1);
        box-shadow: 0 10px 40px rgba(0, 0, 0, 0.1);
        -webkit-transition: unset;
        -o-transition: unset;
        transition: unset;
    }
    .mobile-heading a {
        -webkit-box-flex: 1;
        -moz-box-flex: 1;
        -webkit-flex: 1;
        -ms-flex: 1;
        flex: 1;
        text-align: center;
    }
    .mobile-heading svg {
        width: 20px;
        color: #000;
    }
    ul.user-boxs li:last-child,
    li.wishlist,
    .search-box {
        display: none;
    }
    .logo-box, .user-box{
        width: auto;
    }
    .logo-box img {
        height: 65px;
        width: auto;
    }
    .mobile-heading a i {
        height: 25px;
        font-size: 18px;
        color: #000;
    }
    .mobile-heading a span {
        display: block;
        font-size: 12px;
        color: #000;
        font-family: 'Lufga';
    }
    form#jes-subscribe-form {
        width: 100% !important;
    }
    .jes-subscribe-form__input-group {
        display: flex;
        align-items: center;
        padding: 20px 0 0;
        position: relative;
    }
    .jes-subscribe-form__input-group button.jes-subscribe-form__submit {
        position: absolute;
        right: 4px;
        left: unset;
        width: auto;
        bottom: 14px;
    }
    form#jes-subscribe-form input {
        padding: 15px !important;
    }
    .newsletter-section .container-box {
        padding: 25px;
    }

    .footer-item ul.list-items {
        display: none;
    }
    .footer-item.slow ul.list-items {
        display: block;
    }
    .footer-item h5 {
        position: relative;
        margin: 0;
        font-size: 14px;
    }
    .footer-item h5:after {
        content: "+";
        float: right;
        font-size: 26px;
    }
    .footer-item.slow h5:after {
        content: "-";
    }
    .footer-item {
        padding: 14px 10px;
        border: 1px solid #000000;
        border-left: 0;
        border-right: 0;
        font-size: 16px;
        margin-bottom: 15px;
    }
    footer.jescart-footer .footer-item:first-child {
        border: 0;
        padding: 0;
        margin: 0;
    }
    .footer-item .item a {
        color: #000;
        font-size: 14px;
        display: block;
    }
    .footer-item.slow ul.list-items {
        display: block;
        margin-top: 15px;
        padding-top: 15px;
    }
    .footer-item .item {
        padding: 0;
    }
    .footer-item .item a {
        color: #000;
        display: block;
        padding: 10px 0;
    }
    footer.jescart-footer {
        padding-bottom: 65px;
    }
    .copyright-section p {
        text-align: center;
        padding: 5px 0;
        line-height: 20px;
    }
}

@media (max-width: 767px) {
    .shop-card {
        max-width: max-content;
    }
    .jes-card-media > a img {
        height: auto;
        min-height: 250px;
    }
    body li.jes-card-container .add-to-box a{
        display: none;
    }
    li.jes-card-container .shop-card:hover img{
        transform: unset;
    }
    body .jes-card-content h2{
        font-size: 16px;
        height: auto;
    }
    body .jes-card-content h2,
    body .jes-card-content .product-price span {
        font-size: 14px;
    }
    .gallary-sliders .swiper-slide {
        width: 185px;
    }
}

@media (max-width: 414px) {
    span.jes-subscribe-form__submit-text {
        width: 72px;
        display: block;
        overflow: hidden;
        height: 18px;
    }
    form#jes-subscribe-form input {
        font-size: 12px;
    }
    .copyright-section img {
        width: 100%;
    }
}